Subject: Re: Extended Addressing Mode

From: Régis Odeyé <[email-masked]>
Date: Wed, 22 Oct 2008 14:59:48 +0200

Kumar Gala wrote:
>
> On Oct 22, 2008, at 3:59 AM, Régis Odeyé wrote:
>
>> Hello Everyone,
>> I'm looking for some information about the Extended Addressing Mode 
>> (XAEN bit of HID0 register) of PPC32 support in Linux.
>> I do not see anything in the main kernel tree but there may be some 
>> patches available ?
>> Any information will be appreciate.
>> Regards.
>
> There are patches from Becky Bruce that are going into 2.6.28.  What 
> are you needing >32-bit for?  There are some SW IO MMU changes that 
> are still pending to complete this work.
>
> - k
We are developing a board based on Freescale 8641D which can get 4GB of 
ram. So I need 4GB+IOs (~1GB) of physical addressing space.
My plan is to put a part of this ram above of 4GB to keep accesses to 
the IOs below the 4GB limit. It means non-contiguous ram addressing and 
XAEN features to be working.
Where can I glance through Becky patches ?

-- 
Régis ODEYE

Kontron Modular Computers SA
150, rue M. Berthelot / ZI Toulon Est / BP 244 / Fr 83078 TOULON Cedex 9
Phone: (33) 4 98 16 34 86           Fax: (33) 4 98 16 34 01
E-mail: [email-masked]  Web : www.kontron.com